# HierarchyWizardEditorRenderer (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditorRenderer<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorRenderer<T>

- Type Parameters:
    `T` -

      public class HierarchyWizardEditorRenderer<T>
      extends java.lang.Object

  Renders the content.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HierarchyWizardEditorRenderer.RenderedComponent<T>` Base class for rendering contexts.
    `static class` | `HierarchyWizardEditorRenderer.RenderedGroup<T>` A rendering context for a group.
    `static class` | `HierarchyWizardEditorRenderer.RenderedInterval<T>` A rendering context for an interval.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.swt.graphics.Color` | `ALTERNATIVE_FOREGROUND` Constants.
    `static org.eclipse.swt.graphics.Color` | `DISABLED_BACKGROUND` Constants.
    `static org.eclipse.swt.graphics.Color` | `DISABLED_FOREGROUND` Constants.
    `static org.eclipse.swt.graphics.Font` | `FONT` Constants.
    `static int` | `INTERVAL_HEIGHT` Constants.
    `static org.eclipse.swt.graphics.Color` | `NORMAL_BACKGROUND` Constants.
    `static org.eclipse.swt.graphics.Color` | `NORMAL_FOREGROUND` Constants.
    `static int` | `OFFSET` Constants.
    `static org.eclipse.swt.graphics.Color` | `SELECTED_BACKGROUND` Constants.
    `static org.eclipse.swt.graphics.Color` | `WIDGET_BACKGROUND` Constants.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardEditorRenderer(HierarchyWizardModelGrouping<T> model)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<HierarchyWizardEditorRenderer.RenderedComponent<T>>` | `getComponents()` Returns all components.
    `org.eclipse.swt.graphics.Point` | `getMinSize()` Returns the required minimal size.
    `boolean` | `select(int x, int y)` Mouse click.
    `void` | `update()` Updates the drawing context.
    `void` | `update(org.eclipse.swt.graphics.GC gc)` Update graphics layout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONT

          public static final org.eclipse.swt.graphics.Font FONT

      Constants.

    - #### OFFSET

          public static final int OFFSET

      Constants.
      See Also:
        Constant Field Values

    - #### INTERVAL_HEIGHT

          public static final int INTERVAL_HEIGHT

      Constants.
      See Also:
        Constant Field Values

    - #### WIDGET_BACKGROUND

          public static final org.eclipse.swt.graphics.Color WIDGET_BACKGROUND

      Constants.

    - #### DISABLED_FOREGROUND

          public static final org.eclipse.swt.graphics.Color DISABLED_FOREGROUND

      Constants.

    - #### DISABLED_BACKGROUND

          public static final org.eclipse.swt.graphics.Color DISABLED_BACKGROUND

      Constants.

    - #### NORMAL_FOREGROUND

          public static final org.eclipse.swt.graphics.Color NORMAL_FOREGROUND

      Constants.

    - #### ALTERNATIVE_FOREGROUND

          public static final org.eclipse.swt.graphics.Color ALTERNATIVE_FOREGROUND

      Constants.

    - #### NORMAL_BACKGROUND

          public static final org.eclipse.swt.graphics.Color NORMAL_BACKGROUND

      Constants.

    - #### SELECTED_BACKGROUND

          public static final org.eclipse.swt.graphics.Color SELECTED_BACKGROUND

      Constants.

  - ### Constructor Detail

    - #### HierarchyWizardEditorRenderer

          public HierarchyWizardEditorRenderer(HierarchyWizardModelGrouping<T> model)

      Creates a new instance.
      Parameters:
        `model` -

  - ### Method Detail

    - #### getComponents

          public java.util.List<HierarchyWizardEditorRenderer.RenderedComponent<T>> getComponents()

      Returns all components.
      Returns:

    - #### getMinSize

          public org.eclipse.swt.graphics.Point getMinSize()

      Returns the required minimal size.
      Returns:

    - #### select

          public boolean select(int x,
                       int y)

      Mouse click.
      Parameters:
        `x` -
        `y` -
      Returns:

    - #### update

          public void update()

      Updates the drawing context.

    - #### update

          public void update(org.eclipse.swt.graphics.GC gc)

      Update graphics layout.
      Parameters:
        `gc` -